> ## Documentation Index
> Fetch the complete documentation index at: https://docs.campfire.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch coaapifixed asset automation match 

> Retrieve or update an automation match (for editing proposed values before acceptance).
GET/PATCH /api/fixed-asset-automation-match/<id>/



## OpenAPI

````yaml https://api.meetcampfire.com/api/schema?format=json patch /coa/api/fixed-asset-automation-match/{id}/
openapi: 3.0.3
info:
  title: Campfire Developer APIs
  version: 1.0.0
  description: >
    ## Introduction

    Campfire's developer APIs offer granular access to Campfire's core
    accounting,

    revenue recognition, and financial data features.


    These APIs are designed to be used by developers to build custom
    integrations,

    automate workflows, and perform any other programmatic operations.
servers:
  - url: https://api.meetcampfire.com
    description: Production server
security: []
tags:
  - name: Cash Management
    description: Operations related to accounts, transactions, and other bank-related data.
  - name: Core Accounting
    description: >-
      Operations related to core accounting data, such as the chart of accounts,
      entity management, and the general ledger.
  - name: Revenue Recognition
    description: >-
      Operations related to revenue recognition, contract management, and
      contract data aggregation.
  - name: Accounts Receivable
    description: Operations related to invoicing and the AR subledger
  - name: Accounts Payable
    description: Operations related to billing and the AP subledger.
  - name: Financial Statements
    description: Operations related to financial statement generation and data aggregation.
  - name: Settings
    description: Operations related to system and accounting settings configuration.
paths:
  /coa/api/fixed-asset-automation-match/{id}/:
    patch:
      tags:
        - coa
      description: >-
        Retrieve or update an automation match (for editing proposed values
        before acceptance).

        GET/PATCH /api/fixed-asset-automation-match/<id>/
      operationId: coa_api_fixed_asset_automation_match_partial_update
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchedFixedAssetAutomationMatch'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/PatchedFixedAssetAutomationMatch'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/PatchedFixedAssetAutomationMatch'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FixedAssetAutomationMatch'
          description: ''
      security:
        - knoxApiToken: []
components:
  schemas:
    PatchedFixedAssetAutomationMatch:
      type: object
      description: Serializer for pending asset matches in review queue
      properties:
        id:
          type: integer
          readOnly: true
        rule:
          type: integer
        rule_name:
          type: string
          readOnly: true
        rule_account_name:
          type: string
          readOnly: true
        rule_threshold:
          type: number
          format: double
          maximum: 10000000000000
          minimum: -10000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          readOnly: true
        rule_needs_review:
          type: boolean
          readOnly: true
        transaction:
          type: integer
          readOnly: true
        transaction_description:
          type: string
          readOnly: true
        transaction_date:
          type: string
          format: date
          readOnly: true
        transaction_amount:
          type: string
          readOnly: true
        proposed_name:
          type: string
          maxLength: 250
        proposed_asset_class:
          type: integer
        proposed_initial_value:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
        proposed_salvage_value:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
        proposed_purchase_date:
          type: string
          format: date
        proposed_depreciation_start_date:
          type: string
          format: date
        proposed_entity:
          type: integer
          nullable: true
        proposed_department:
          type: integer
          nullable: true
        proposed_vendor:
          type: integer
          nullable: true
        created_asset:
          type: integer
          readOnly: true
          nullable: true
          description: The asset created when this match was accepted
        created_at:
          type: string
          format: date-time
          readOnly: true
    FixedAssetAutomationMatch:
      type: object
      description: Serializer for pending asset matches in review queue
      properties:
        id:
          type: integer
          readOnly: true
        rule:
          type: integer
        rule_name:
          type: string
          readOnly: true
        rule_account_name:
          type: string
          readOnly: true
        rule_threshold:
          type: number
          format: double
          maximum: 10000000000000
          minimum: -10000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          readOnly: true
        rule_needs_review:
          type: boolean
          readOnly: true
        transaction:
          type: integer
          readOnly: true
        transaction_description:
          type: string
          readOnly: true
        transaction_date:
          type: string
          format: date
          readOnly: true
        transaction_amount:
          type: string
          readOnly: true
        proposed_name:
          type: string
          maxLength: 250
        proposed_asset_class:
          type: integer
        proposed_initial_value:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
        proposed_salvage_value:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
        proposed_purchase_date:
          type: string
          format: date
        proposed_depreciation_start_date:
          type: string
          format: date
        proposed_entity:
          type: integer
          nullable: true
        proposed_department:
          type: integer
          nullable: true
        proposed_vendor:
          type: integer
          nullable: true
        created_asset:
          type: integer
          readOnly: true
          nullable: true
          description: The asset created when this match was accepted
        created_at:
          type: string
          format: date-time
          readOnly: true
      required:
        - created_asset
        - created_at
        - id
        - proposed_asset_class
        - proposed_depreciation_start_date
        - proposed_initial_value
        - proposed_name
        - proposed_purchase_date
        - rule
        - rule_account_name
        - rule_name
        - rule_needs_review
        - rule_threshold
        - transaction
        - transaction_amount
        - transaction_date
        - transaction_description
  securitySchemes:
    knoxApiToken:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````